I installed librstconverters0.9 debian package on my laptop, but running rsb-examples results in

terminate called after throwing an instance of 'std::runtime_error'
  what():  Failed to load plugin `rsbrstconvertersrci' as requested via configuration: Failed to load plugin `rsbrstconvertersrci' from
shared object `/usr/lib/rsb0.9/plugins/librsbrstconvertersrci.so.0.9': librsc.so.0.9: cannot open shared object file: No such file or
directory.

So the good news is, rsbrstconvertersrci seems to be included in this package (as this was a question of mine I discussed with Jan
and Johannes) but the package seems to be broken concerning the naming conventions: there actually is no librsc.so.0.9 in my
system, but I found:

librsc0.9.so      librsc0.9.so.0.9  librsc.so         librsc.so.0.7

History
#1 - 11/20/2013 11:05 AM - J. Moringen

I'm not entirely familiar with this particular packaging issue, but my guess is that the librstconverters0.9 Debian package is not built anymore and
therefore depends on an old project:rsc version (see modification times in http://packages.cor-lab.de/ubuntu/pool/main/libr/librstconverters0.9/).

As I understand it, only the -humavips and -amarsi variants of the Debian package are currently built and packaged automatically (see 
http://packages.cor-lab.de/ubuntu/pool/main/libr/).

#2 - 11/20/2013 11:06 AM - J. Moringen
- Category set to packaging
- Status changed from New to Feedback

#3 - 11/20/2013 12:20 PM - J. Moringen

@Sebastian, Michael: maybe we should delete the outdated packages from the server to avoid this problem in the future?

#4 - 11/25/2013 03:24 PM - S. Wrede

Yes, we should remove it. Let's wait for Arne before making a final decision here.
#5 - 11/25/2013 03:25 PM - J. Moringen
- Assignee set to Anonymous

#6 - 11/28/2013 03:49 PM - Anonymous

I don't remember using the package librstconverters0.9, I always used the amarsi converters package AFAIR. It also seems outdated to me (version
0.9.0 is quite old), so I agree, that this should be delisted from our package server.

I think this package was based on the idea to have some kind of default converter package, without the humavips / amarsi specifics in it. This could
still be a reasonable use case, but would not include rci then, I guess.

#7 - 12/05/2013 01:42 PM - Anonymous

Using reprepro, I found the following packages to be deleted from our package server:

lucid|main|i386: librstconverters0.9 0.9.0-b7-lucid
lucid|main|amd64: librstconverters0.9 0.9.0-b7-lucid
precise|main|i386: librstconverters0.9 0.9.0-b7-precise
precise|main|amd64: librstconverters0.9 0.9.0-b7-precise
quantal|main|i386: librstconverters0.9 0.9.0-b7-quantal
quantal|main|amd64: librstconverters0.9 0.9.0-b7-quantal

I will delete these soon.

#8 - 12/05/2013 02:00 PM - Anonymous

Removal blocked for now due to reprepro issue: https://support.cor-lab.org/issues/602

#9 - 09/03/2015 03:26 PM - J. Wienke
- Status changed from Feedback to Rejected

We do not maintain 0.9 anymore.
